from pandas_datareader import data as pdr
from datetime import datetime
import yfinance as yf
yf.pdr_override()

def get_hist_price(symbols, startdate, enddate):

    """
    Gets historical price data from Yahoo Finance.

    Parameters
    ----------
    symbols : string or list
        Takes single string or a list of string as stock tickers.
        Example: ['BTC-USD','ETH-USD']
        
    startdate : string
        Starting date of historical data. Example '01-01-2022'.
        
    enddate : string
        Ending day of historical data. Example '30-01-2022'.
        

    Returns
    -------
    pandas.DataFrame
    """

	start_date= datetime(2020,11,30)
	end_date= datetime(2021,11,30)

	data = pdr.get_data_yahoo(symbols, start=startdate, end=enddate)

	return data[['Adj Close']]

